aboutsummaryrefslogtreecommitdiff
path: root/suser
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2024-08-20 20:42:16 -0300
committerSilvio Rhatto <rhatto@riseup.net>2024-08-20 20:42:16 -0300
commitd50c3847192acbb3a5be68b67320fd1819fa81fb (patch)
treeaaa338f51b4ae09c18a5980d5952232d3bf51678 /suser
downloadutils-cli-d50c3847192acbb3a5be68b67320fd1819fa81fb.tar.gz
utils-cli-d50c3847192acbb3a5be68b67320fd1819fa81fb.tar.bz2
Initial import
Diffstat (limited to 'suser')
-rwxr-xr-xsuser17
1 files changed, 17 insertions, 0 deletions
diff --git a/suser b/suser
new file mode 100755
index 0000000..a9bca1f
--- /dev/null
+++ b/suser
@@ -0,0 +1,17 @@
+#!/usr/bin/env bash
+#
+# A shorthand for changing to a user
+#
+
+# Parameters
+BASENAME="`basename $0`"
+USER="$1"
+
+# Check
+if [ -z "$USER" ]; then
+ echo "usage: $BASENAME <user>"
+ exit 1
+fi
+
+# Go
+sudo su $USER -s $SHELL